Authors groups API
Overview
Lets you create authors groups. To add authors to the group, see Authors from group API →.
The API requires Authors groups feature in your organization's plan.
Create authors group
Create a new authors group.
Endpoint
http://prophy.eismea.eu/api/external/authors-group/create/
Method: POST
Content Type: application/json
Request params
| Field | Description |
|---|---|
|
group_name
string
required
|
The name for the new authors group |
|
owner_team
string
required
|
The name of the team in your organization that will have the owner rights for the authors group. The team must be already created through the user interface. |
|
editor_teams
array of strings
required
|
The names of the teams in your organization that will have the editor rights for the authors group. The teams must be already created through the user interface. Provide an empty list if no team would have editor rights. |
|
viewer_teams
array of strings
required
|
The names of the teams in your organization that will have the viewer rights for the authors group. The teams must be already created through the user interface. Provide an empty list if no team would have viewer rights. |
Example POST request
Save the key in an environment variable: run this command, paste the key and press Enter. The key isn't shown on the screen and doesn't get into your shell history.
read -s PROPHY_API_KEY && export PROPHY_API_KEY
Then run the request:
curl -X POST "http://prophy.eismea.eu/api/external/authors-group/create/" \
-H "X-ApiKey: $PROPHY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"group_name": "2023 Astrophysics Experts",
"owner_team": "Authors groups administrators",
"editor_teams": [],
"viewer_teams": ["Quantum Dynamics Review", "Particle Physics Letters"]
}'
Response object
| Field | Description |
|---|---|
|
authors_group_id
integer
|
ID of the created authors group in the Prophy database |
Example POST response
{
"authors_group_id": 162
}